SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/home1/webtwopr/public_html/subdomains/mantisbt-1.2.15/core.php' line 254

0001120: wrong warning on session use trans sid - MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001120v3.0 Release[All Projects] Generalpublic2012-04-06 16:282013-08-28 18:18
Assigned Totrevormorse 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001120: wrong warning on session use trans sid
Descriptioninstaller gives warning although setting seems to be ok, green mark expected:

Session Use Trans Sid = OFF? There are security risks with this turned ON is message. Seems to be turned off, confirmed by look into php.ini.

Why is there a red cross displayed on screen if the setting is ok?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
trevormorse (manager)
2012-09-04 15:42

We are testing that both session.use_trans_id and session.use_only_cookies are both off before marking as ok. I *believe* this is incorrect as having session.use_only_cookies on (the default is on since 5.3) should cover the bases here. I'm confirming before making the fix.
caseydk (administrator)
2012-09-17 04:22

Resolved by Trevor here: [^]

- Issue History
Date Modified Username Field Change
2012-04-06 16:28 opto New Issue
2012-09-03 19:00 trevormorse Status new => assigned
2012-09-03 19:00 trevormorse Assigned To => trevormorse
2012-09-04 15:42 trevormorse Note Added: 0002647
2012-09-17 04:22 caseydk Note Added: 0002649
2012-09-17 04:22 caseydk Status assigned => resolved
2012-09-17 04:22 caseydk Resolution open => fixed
2013-08-28 18:14 caseydk Fixed in Version => 3.0.0
2013-08-28 18:18 caseydk Status resolved => closed

Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker